Subject: Re: [pkix] a question of cert (and OCSP) extension syntax

From: Eric Rescorla <[email-masked]>
Date: Thu, 2 Apr 2015 10:57:14 -0700

Stephen Kent writes:
> Since the bulk of the data items have an obvious ASN.1
> representation, and the certificate or TBS certificate are native
> ASN.1 structures, we feel that the decision to stuff all of the data
> items into an OCTET STRING is inappropriate, and that it sets a bad
> precedent for others developing certificate (and OCSP) extensions in
> the future

My sense is that it would be better for this data to be in ASN.1 for
consistency with the certificate itself.

-Ekr